
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class JPanelDemo extends JFrame
{

	VacationPanel vp = new VacationPanel();
	MoviePanel mp = new MoviePanel();
	PasswordPanel pp = new PasswordPanel();


	
	JPanel summaryPanel = new JPanel();
	JButton summaryButton = new SummaryButton("Summary");
	
	JLabel vacationLabel = new JLabel();
	JLabel movieLabel = new JLabel();
	JLabel passwordLabel = new JLabel();
	
	JButton colorButton = new JButton("Color?");
	Color buttonsColor = new Color(0.75f, 0.75f, 0.75f);
	
	public JPanelDemo()
	{
		Container canvas = getContentPane();
		canvas.setLayout( new BorderLayout() );
		
		canvas.add(vp, BorderLayout.WEST);
		canvas.add(mp, BorderLayout.NORTH);
		canvas.add(pp, BorderLayout.EAST);
		
		canvas.add(colorButton, BorderLayout.CENTER);
		
		//someone pressed the color button
		colorButton.addActionListener( new ActionListener()
		{
			public void actionPerformed( ActionEvent ae)
			{
				buttonsColor = JColorChooser.showDialog(null, "Pick a color for this button", buttonsColor);
				colorButton.setBackground(buttonsColor);
			}
		});
		
		fixUpSummaryPanel();
		canvas.add(summaryPanel, BorderLayout.SOUTH);
		this.setSize(500,250);
		this.setTitle("JPanelDemo Program");
		this.show();
	}
	
	public void fixUpSummaryPanel()
	{
		summaryPanel.setLayout( new FlowLayout() );
		summaryPanel.add(summaryButton);
		summaryPanel.add(vacationLabel);
		summaryPanel.add(movieLabel);
		summaryPanel.add(passwordLabel);
		
		summaryButton.addActionListener( new ActionListener()
		{
			public void actionPerformed( ActionEvent ae)
			{
				vacationLabel.setText(vp.getVacationChoice() );
				movieLabel.setText( mp.getMovieChoice() );
				passwordLabel.setText( pp.getPassword() );
				summaryButton.setBackground(buttonsColor);
			}
		});
		
	}


public static void main( String args[] )
	{
		JPanelDemo app = new JPanelDemo();
		app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

}